package com.qmth.distributed.print.business.bean.result;

import com.qmth.distributed.print.business.bean.dto.CourseWeightDto;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 课程权重结果
 * @Author: CaoZixuan
 * @Date: 2024-03-07
 */
public class CourseWeightResult {

    @ApiModelProperty("默认占比")
    private BigDecimal defaultRate;

    @ApiModelProperty("自定义占比")
    private BigDecimal customRate;

    @ApiModelProperty("课程权重表单")
    private List<CourseWeightDto> submitForm;

    public BigDecimal getDefaultRate() {
        return defaultRate;
    }

    public void setDefaultRate(BigDecimal defaultRate) {
        this.defaultRate = defaultRate;
    }

    public BigDecimal getCustomRate() {
        return customRate;
    }

    public void setCustomRate(BigDecimal customRate) {
        this.customRate = customRate;
    }

    public List<CourseWeightDto> getSubmitForm() {
        return submitForm;
    }

    public void setSubmitForm(List<CourseWeightDto> submitForm) {
        this.submitForm = submitForm;
    }
}
